CommentNotificationsThread (notifications-common-library 1.4.0-4.5.0-142103 API)
Date: 2017-06-09

org.gcube.portal.notifications.thread

## Class CommentNotificationsThread

- java.lang.Object
- - org.gcube.portal.notifications.thread.CommentNotificationsThread

- All Implemented Interfaces:
    Runnable

      public class CommentNotificationsThread
      extends Object
      implements Runnable

  Author:
    Massimiliano Assante ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentNotificationsThread(org.gcube.portal.databook.server.DatabookStore storeInstance, org.gcube.vomanagement.usermanagement.UserManager userManager, String commenterUserId, String commentedFeedId, String commentText, org.gcube.applicationsupportlayer.social.NotificationsManager nm, String feedOwnerId, String commentKey, ArrayList<org.gcube.portal.databook.shared.Like> favorites)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentNotificationsThread

          public CommentNotificationsThread(org.gcube.portal.databook.server.DatabookStore storeInstance,
                                            org.gcube.vomanagement.usermanagement.UserManager userManager,
                                            String commenterUserId,
                                            String commentedFeedId,
                                            String commentText,
                                            org.gcube.applicationsupportlayer.social.NotificationsManager nm,
                                            String feedOwnerId,
                                            String commentKey,
                                            ArrayList<org.gcube.portal.databook.shared.Like> favorites)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2017. All Rights Reserved.